package com.gic.haoban.manage.web.vo.video;

import java.io.Serializable;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/10/27 11:01 AM
 * @Description
 * @Version
 **/
public class CloudVideoGroupVo implements Serializable {

    /**
     * 分组id
     */
    private String id;

    /**
     * 分组名称
     */
    private String name;

    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 父级id
     */
    private String parentId;

    /**
     * 总数
     */
    private Integer count;

    /**
     * 排序值
     */
    private Integer sort;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 未分组
     * 1 未分组
     */
    private Integer defaultGroup;

    /**
     * 子级
     */
    private List<CloudVideoGroupVo> childVideoGroupInfos;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public List<CloudVideoGroupVo> getChildVideoGroupInfos() {
        return childVideoGroupInfos;
    }

    public void setChildVideoGroupInfos(List<CloudVideoGroupVo> childVideoGroupInfos) {
        this.childVideoGroupInfos = childVideoGroupInfos;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getDefaultGroup() {
        return defaultGroup;
    }

    public void setDefaultGroup(Integer defaultGroup) {
        this.defaultGroup = defaultGroup;
    }
}
